Unit QSG0R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure QSG0R(var INT :Real; A :Real; B :Real; F :Func_F1);

implementation

procedure QSG0R(var INT :Real; A :Real; B :Real; F :Func_F1);
var
D,E,G,H :Real;
const
C :Real = 0.2886751;
C1 :Real = 0.5;
begin
H := 0.0;
D := 0.5*(A+B);
E := B-A;
G := E*C;
H := H+C1*(F(D+G)+F(D-G));
INT := H*E;
end;

end.
